#!/bin/sh

# This is the xdvi wrapper script for teTeX, version 0.2.
# Copyright Thomas Esser, 1998. Permission to distribute under the terms
# of the GNU general public license version 2 or later.

# This script sets some environment variables to make sure that xdvi's
# resource file in $XDVIINPUTS/xdvi is read by xdvi.bin.

test -f /bin/sh5 && test -z "$RUNNING_SH5" \
  && test x"`(uname -s) 2>&1`" = xULTRIX \
  && { RUNNING_SH5=true; export RUNNING_SH5; exec /bin/sh5 $0 ${1+"$@"}; }
RUNNING_SH5=

test -f /bin/bsh && test -z "$RUNNING_BSH" \
  && test x"`(uname -s) 2>&1`" = xAIX \
  && { RUNNING_BSH=true; export RUNNING_BSH; exec /bin/bsh $0 ${1+"$@"}; }
RUNNING_BSH=

# -help and -version only used to work if they were the only options,
# so the "-name xdvi" parameter wasn't used in that case. With current
# xdvik, it should work in any case, but we keep this logic for compatibility
# with older xdvik and plain xdvi versions.
have_basename=`basename foo/bar 2>&1 | grep -i 'not found'`
if [ "$have_basename"xxx = "xxx" ]; then
    BASE_NAME=`basename $0`
else
    BASE_NAME=`echo $0 | sed 's!.*/!!'`
fi

case "$#:$1" in
  1:-help|1:-version)
    NAMEOPT=;;
  *)
    NAMEOPT="-name $BASE_NAME";;
esac

xdviappfile=`kpsewhich -progname=xdvi --format='other text files' XDvi`
if test -n "$xdviappfile"; then
  xdviappdir=`dirname "$xdviappfile"`
  xdviapppath="${xdviappdir}/%l_%t/%N:${xdviappdir}/%N"

  # For R3, we have to set XAPPLRESDIR.
  ### SU: removed, xdvik won't work with R3 anyway, and XAPPLRESDIR is
  ### for user customizations in current X
  ### XAPPLRESDIR="$xdviappdir"; export XAPPLRESDIR

  # For R4 or later, we have to set XFILESEARCHPATH, since XAPPLRESDIR might
  # be ignored (if XUSERFILESEARCHPATH is set)
  XFILESEARCHPATH="$xdviapppath:${XFILESEARCHPATH-%D}"; export XFILESEARCHPATH
fi

exec xdvi-xaw3d $NAMEOPT ${1+"$@"}
